-# frozen_string_literal: true
-# f.association :category
-#  .participants
-# = f.simple_fields_for :participating_users do |g|
-#   = render 'participating_user_fields', f: g
-# = simple_form_for(@task) do |f|
-#   = f.error_notification
-#   = f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present?

-#   .form-inputs
-#     = f.input :name
-#     = f.input :description
-#     = f.input :due_date
-#     = f.association :category
-#     #addParticipants
-#       = link_to_add_association f, :participating_users, 'data-association-insertion-node' => '.participants .participants-container', 'data-turbolinks' => false do
-#         agregar participante
-#     .participants
-#       = f.simple_fields_for :participating_users do |g|
-#         = render 'participating_user_fields', f: g
-#       .participants-container
-#   .form-actions
-#     = f.button :submit
= simple_form_for(@task) do |f|
  = f.error_notification
  = f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present?

  .form-inputs
    .row
      .col-sm-6
        = f.input :name, label: 'Nombre'
      .col-sm-3
        = f.input :due_date, as: :string, input_html: { type: :date }, label: 'Fecha de vencimiento'
      .col-sm-3
        = f.input :category_id, label: 'Categoría', as: :select, collection: Category.all, input_html: { class: 'selectize' }
    .row
      .col-sm-12
        = f.input :description
    #addParticipants
      %br
      %h3
        .uppercased-font{ style: 'display: inline-block;' } Participantes
        = link_to_add_association f, :participating_users, class: 'btn btn-info float-right', 'data-association-insertion-node' => '.participants .participants-container', 'data-turbolinks' => false do
          Agregar un participante
          .fa.fa-plus-circle
    .participants
      = f.simple_fields_for :participating_users do |g|
        = render 'participating_user_fields', f: g
      .participants-container
  .form-actions
    = f.button :submit, class: 'btn btn-info'